<?php

/*********************************************************************************************
 * e107 PLUGIN: osm
 * VERSION:     0.2
 * DESCRIPTION: A Map- and Routing-Plugin
 * WRITTEN BY:  gizmo 
 * DATE:        10/09/2009
 *
 * Released under the terms and conditions of the
 * GNU General Public License (http://gnu.org).
 ********************************************************************************************/

   require_once('../../class2.php');

include_once(e_PLUGIN."osm/languages/".e_LANGUAGE.".php");
include_once(e_PLUGIN."osm/osm.js");
require_once(e_PLUGIN."osm/osm.inc");
   // this generates all the HTML up to the start of the main section
   require_once(HEADERF);

   // Include plugin language file, check first for site's preferred language
   #include_lan(e_PLUGIN.'myplugin/languages/myplugin_'.e_LANGUAGE.'.php');
global $pref;
require_once(e_PLUGIN."osm/osm_route.inc");

   // write your PHP code to generate the required HTML here


(strlen($pref[osm_text]) && $pref[osm_text_use]) ? $content_text=$pref[osm_text] : $content_text=OSM_LAN_CONTENT_TEXT;

strlen($pref[osm_pagetitle]) ? $title= $pref[osm_pagetitle] :$title=OSM_LAN_TITLE;



if ($pref[osm_map]) {


	$y2=$pref[osm_lat_dst];

	intval($pref[osm_map_height]) ? $height=$pref[osm_map_height] : $height=350;
	intval($pref[osm_map_width]) ? $width=$pref[osm_map_width] : $width=480;

	switch($pref[osm_mappoint]) {
		case "src":
			$lat=$pref[osm_lat_src];
			$lon=$pref[osm_lon_src];
			break;
		case "dst":
			$lat=$pref[osm_lat_dst];
			$lon=$pref[osm_lon_dst];
			break;
		case "other":
		default:
			$lat=$pref[osm_lat_other];
			$lon=$pref[osm_lon_other];
			break;
	}

	strlen($pref[osm_bb_x1]) ? $x1=$pref[osm_bb_x1] : $x1=$lon;
	strlen($pref[osm_bb_y1]) ? $y1=$pref[osm_bb_y1] : $y1=$lat;
	strlen($pref[osm_bb_x2]) ? $x2=$pref[osm_bb_x2] : $x2=$lon;
	strlen($pref[osm_bb_y2]) ? $y2=$pref[osm_bb_y2] : $y2=$lat;


	$content_map="<div><iframe id='osm_map' width='$width' height='$height' frameborder='0' scrolling='no' marginheight='0' marginwidth='0' src='http://www.openstreetmap.org/export/embed.html?bbox=".$x1.",".$y1.",".$x2.",".$y2."&layer=osmarender&marker=$lat,$lon' style='border: 1px solid black'></iframe></div>";

}

if ($pref[osm_footer]) {
	$content_footer="<div><a href='http://www.openstreetmap.org/?lat=".$pref[osm_lat_dst]."&lon=".$pref[osm_lon_dst]."&zoom=14&layers=B000FTFTT&mlat=".$pref[osm_lat_dst]."&mlon=".$pref[osm_lon_dst]."' target='_external'>".OSM_LAN_MAP_LARGER."</a></div>";

}

if ($pref[osm_pagerouting]) {
	($pref[osm_iframe]) ? $script=e_PLUGIN."osm/osm_iframe.php" : $script=e_PLUGIN."osm/osm.php";

	$content_routing="<div><form action='$script' method=post target='$pref[osm_target]'>";

	$src=osm_get_src_html("_content");
	$dst=osm_get_dst_html("_content");
	$input="";
	
	if ($pref[osm_public]) $input.="
	<input type=radio name=type class='' value=public checked>".OSM_LAN_TYPE_PUBLIC."<br>
	";
	
	if($pref[osm_use]) $input.="
			<input type=radio name=type class='' value=cars onclick=''>".OSM_LAN_TYPE_CARS."<br>
			<input type=radio name=type class='' value=carf onclick=''>".OSM_LAN_TYPE_CARF."<br>
			<input type=radio name=type class='' value=feet>".OSM_LAN_TYPE_FEET."<br>
			<input type=radio name=type class='' value=bicycle>".OSM_LAN_TYPE_BICYCLE."<br>
			";
	
	if($pref[osm_reverse]) {
		strlen($pref[osm_reverse_text]) ? $reverse_text=$pref[osm_reverse_text] : $reverse_text=OSM_LAN_REVERSE_TEXT;
	
		$reverse.="<br><input type=checkbox class='tbox' name=reverse>$reverse_text";
	}
	
	$submit="<br><input type=submit class='button' name=route value='".OSM_LAN_ACTION_ROUTE."'>";
	
	strlen($pref[osm_submitinfo]) ? $submitinfo= $pref[osm_submitinfo] :$submitinfo=OSM_LAN_SUBMIT_INFO;

	if (strlen($input)) {
		$action.=$submit.$reverse;
		$input=OSM_LAN_TYPE_TEXT.$input;
	}
	
	
	$content_routing.="<table width=100%><tr>
	<td width=50% style='vertical-align:top;'>$src</td>
	<td width=50% style='vertical-align:top;'>$input</td>
	</tr><tr>
	<td width=50% style='vertical-align:top;'>$dst</td>
	<td width=50% style='vertical-align:top;'>$action</td>
	
	</tr></table>";


	$content_routing.="</form></div>";

}

#48.146973,16.296778

   // Ensure the pages HTML is rendered using the theme layout.
   $ns->tablerender($title, $content_text.$content_routing.$content_map.$content_footer);

   // this generates all the HTML (menus etc.) after the end of the main section
   require_once(FOOTERF);


# http://www.openstreetmap.org/?lat=48.14713&lon=16.29789&zoom=16&layers=B000FTF
#http://www.openstreetmap.org/api/0.6/map?bbox=16.269602,48.135103,16.32177,48.158812

# kleinere boundary
#http://www.openstreetmap.org/api/0.6/map?bbox=16.290645,48.143988,16.303687,48.149915


# Position
#http://maps.google.at/maps?f=q&source=s_q&hl=de&geocode=&q=Breitenfurterstrasse+236+Wien&sll=47.635784,13.590088&sspn=9.07672,28.54248&ie=UTF8&ll=48.14845,16.309376&spn=0.017552,0.055747&z=15


# Wienerlinien Request
#http://efa.vor.at/wvb/XSLT_TRIP_REQUEST2?language=de&sessionID=0&requestID=0&execInst=normal&command=&anySigWhenPerfectNoOtherMatches=1&itdLPxx_locationServerActive=true&locationServerActive=1&type_origin=any&typeInfo_origin=invalid&place_origin=&anyObjFilter_origin=2&name_origin=B%C3%B6rsegasse+16%2C+Wien&type_destination=any&typeInfo_destination=invalid&place_destination=&anyObjFilter_destination=12&name_destination=Breitenfurterstrasse+236%2C+Wien&itdTripDateTimeDepArr=arr&itdDateDayMonthYear=17.07.2009&itdTime=11%3A24

?>
